<script>
  let getdata;
  async function fetData() {
    const response = await fetch(
      "https://newsapi.org/v2/everything?q=tesla&from=2023-05-09&sortBy=publishedAt&apiKey=8e0eab736a814ba68c79423303134bef"
    );
    getdata = await response.json();
    console.log(getdata.articles);
    getdata = await getdata.articles;
  };
  fetData();
</script>

<main class="flex w-screen my-6 justify-center items-center">
  <div class="flex flex-col gap-y-3 justify-center items-center">
    {#if !getdata}
      <h1 class="w-screen flex justify-center items-center h-screen">
        LOADING... 
      </h1>
    {:else}
      {#each getdata.articles as articles}
      <div class="flex px-80 pt-4 newsbox justify-center items-center">
        <div class="newsDropdownable mb-6">
          <h1
            class="relative font-sans h-12 w-full flex items-center px-2 justify-center"
          >
            {articles.title}
          </h1>
          <div class="px-5 ">
            <p class="text-justify pt-4">{articles.description}</p>
            {#if articles.author}
            <p class="text-xs/6 font-bold flex w-full justify-end pt-5">
              by {articles.author}
              
            </p>
            {:else}
            <p class="text-xs/6 font-bold flex w-full justify-end pt-8 ">
              by Anonymous           
            </p>
            {/if}
            <button class="rounded-full bg-black text-white text-xs">
              <a href={articles.url} class="mx-2.5 my-1.5 inline-block">Read more...</a>
            </button>
          </div>
        </div>
        <div class="justify-center w-96 ">
          <img src={articles.urlToImage} alt="Not Found...">
        </div>
      </div>
      {/each}
    {/if}
  </div>
</main>

<style lang="postcss">
  .newsDropdownable {
    @apply w-4/5 ;
  }
  .newsbox {
    @apply w-4/5 rounded-md bg-slate-50 
  }
</style>
